import { Component, OnInit } from '@angular/core';
import { CommonCompModule } from '../../../services/common.modules';
import { Router } from '@angular/router';
import * as Parse from 'parse';
import { NzTabsModule } from 'ng-zorro-antd/tabs';
import { PageTextbookComponent } from '../components/page-textbook/page-textbook.component';
import { textbookServer } from '../../../services/textbook';
@Component({
  selector: 'app-space',
  standalone: true,
  imports: [CommonCompModule, NzTabsModule, PageTextbookComponent],
  templateUrl: './space.component.html',
  styleUrls: ['./space.component.scss'],
})
export class SpaceComponent implements OnInit {
  user: Parse.Object = Parse.User.current()!;
  active:number = 0

  constructor(private router: Router, public tbookSer: textbookServer) {}

  ngOnInit() {}

  goUrl(url: string, params?: object | any) {
    console.log(url);
    if (params) {
      this.router.navigate([url, params]);
    } else {
      this.router.navigate([url]);
    }
  }
}
